#! /bin/sh

main() {

##### javaコマンドが使えるかどうか #####
java 1> /dev/nul 2> /dev/nul
EXIT_CODE=$?
if [ "${EXIT_CODE}" = "0" ]; then
	echo 処理を継続します。 > /dev/nul
elif [ "${EXIT_CODE}" = "1" ]; then
	echo 処理を継続します。 > /dev/nul
else
	##### JAVA_HOMEが設定されているかどうか #####
	if [ "${JAVA_HOME}" = "" ]; then
		exit 1
	else
		##### JAVA_HOME/binにpathを通す #####
		_PATH=${PATH}
		PATH=${PATH}:${JAVA_HOME}/bin
		export PATH
	fi
fi


##### javaにpathが通っているかチェック #####
java -version 2>&1 | grep "Java.*Runtime" 1> /dev/nul 2> /dev/nul
EXIT_CODE=$?
if [ "${EXIT_CODE}" = "0" ]; then
	exit 0
else
	exit 1
fi

}

main $*
